{% extends "ajax/game/town/town.html.twig" %}
{% block content %}
    {# @var citizen \App\Entity\Citizen #}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-houses time-{{ hour }} {% if town.isNight %}night{% endif %}"></div>
    </div>
    <ul class="tabs plain">
        <li class="tab selected">
            <div class="tab-link" x-ajax-href="{{ path('town_citizens') }}">{% trans from 'game' %}Bürger{% endtrans %}</div>
        </li>
        {% if not town.chaos %}
            {% for name,role in votesNeeded %}
                {% if role %}
                <li class="tab">
                    <div class="tab-link" x-ajax-href="{{ path('town_citizen_vote', {roleId: role.id}) }}"><img alt="" src="{{ asset('build/images/item/item_bureau.gif') }}" /> {{ role.label|trans({}, 'game') }}</div>
                </li>
                {% endif %}
            {% endfor %}
        {% endif %}
    </ul>

    <div class="row-table citizens-list">
        <div class="row header">
            <div class="padded cell rw-4 left rw-md-7">{{ 'Bürger'|trans({},'game') }}</div>
            <div class="padded cell rw-4 hide-md hide-sm center">{{ 'Nachricht'|trans({},'game') }}</div>
            <div class="padded cell rw-4 rw-md-5 right">{{ 'Draußen?'|trans({},'game') }}</div>
        </div>
        {% for citizenInfo in citizens|sort((a,b) => (a.citizen.alive == b.citizen.alive) ? ((a.citizen.alive) ? a.citizen.user.username|lower <=> b.citizen.user.username|lower : b.citizen.survivedDays <=> a.citizen.survivedDays) : b.citizen.alive <=> a.citizen.alive) %}
            {% set citizen = citizenInfo.citizen %}
            {# @var \App\Entity\Citizen citizen  #}
            <div class="row pointer{% if citizen == me%} me{% endif %}" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}">
                <div class="cell-small rw-5 rw-lg-0" style="background: url('{{ citizen.user.avatar ? path('app_web_avatar', {'uid': citizen.user.id, 'name': citizen.user.avatar.smallName, 'ext': citizen.user.avatar.format}) : asset('build/images/forum/empty_avatar.gif') }}') center/cover no-repeat;">

                </div>

                {% if citizen.alive %}
                    {% if citizen.isOnline() %}
                        <div class="cell-small rw-1 citizen-online">&nbsp;</div>
                    {% else %}
                        <div class="cell-small rw-1 citizen-offline">&nbsp;</div>
                    {% endif %}
                {% else %}
                    <div class="cell-small rw-1 citizen-dead">&nbsp;</div>
                {% endif %}
                
                <div class="padded cell-small rw-7 rw-sm-3 small citizen-box {% if citizen == me%} citizen-box-name-me {% else %} citizen-box-name {% endif %}">
                    <div>
                        {% if citizen.alive %}
                            {% if citizen.banished %}
                                <img alt="" src="{{ asset('build/images/icons/banished.gif') }}" />
                            {% elseif citizen.profession.heroic %}
                                <img alt="" src="{{ asset('build/images/professions/hero.gif') }}" />
                            {% else %}
                                <img alt="" src="{{ asset('build/images/professions/void.gif') }}" />
                            {% endif %}
                            <img alt="{{ citizen.profession.label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ citizen.profession.icon ~ '.gif') }}" />
                        {% else %}
                            {% if citizen.home.holdsBody %}
                                <img alt="{{ 'Leiche nicht beseitigt!'|trans({},'game') }}" src="{{ asset('build/images/icons/small_warning.gif') }}" />
                            {% endif %}
                            <img alt="" src="{{ asset('build/images/professions/void.gif') }}" />
                            <img alt="{{ 'Tot!'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />
                        {% endif %}
                        <b class="citizen-name">{{ citizen.user.username }}</b>
                        {% if citizen.alive %}
                            {% for role in citizen.roles %}
                                {% if not role.secret and not role.hidden %}
                                    <img alt="" src="{{ asset('build/images/roles/' ~ role.icon ~ '.gif') }}" />
                                {% endif %}
                            {% endfor %}
                        {% endif %}
                    </div>

                    <div class="hide-desktop small-citizen-defense">
                        {% if citizen.alive %}
                            <img alt="{{ citizen.home.prototype.level }}" src="{{ asset('build/images/home/' ~ citizen.home.prototype.icon ~ '.gif') }}" />
                            <span class="citizen-defense">{% if citizenInfo.defense > 0 %} {{ citizenInfo.defense }} pts {% else %} -- {% endif %}</span>
                        {% endif %}
                    </div>
                </div>
                {% if citizen.alive %}
                    <div class="padded cell-small rw-9 small citizen-box">
                        {{ citizen.home.description }}
                    </div>
                    <div class="padded cell-small rw-5 citizen-box hide-lg hide-md hide-sm">
                        <img alt="{{ citizen.home.prototype.level }}" src="{{ asset('build/images/home/' ~ citizen.home.prototype.icon ~ '.gif') }}" />
                        <span class="citizen-defense">{% if citizenInfo.defense > 0 %} {{ citizenInfo.defense }} pts {% else %} -- {% endif %}</span>
                    </div>
                    <div class="padded cell-small rw-3 small right citizen-box">
                    {% if not citizen.zone %}
                        {{ "In der Stadt"|trans({},'game') }}
                    {% else %}
                        {% if town.chaos %}
                            {{ "Ja"|trans({},'game') }}
                        {% else %}
                            {% if (citizen.zone.x == 0) and (citizen.zone.y == 0) %}
                                {{ "Am Stadttor"|trans({},'game') }}
                            {% else %}
                                [{{ citizen.zone.x }},{{ citizen.zone.y }}]
                            {% endif %}
                        {% endif %}
                    {% endif %}
                    </div>
                {% else %}
                    <div class="padded cell-small rw-7 hide-md hide-sm small citizen-box">
                        {% if citizen.home.chest.items|length == 0 %}
                            <em>{{ 'Leere Truhe'|trans({},'game') }}</em>
                        {% endif %}
                        {% for item in citizen.home.chest.items %}
                            {# @var \App\Entity\Item item #}
                            <img alt="{{ item.prototype.label|trans({},'items') }}" src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ '.gif') }}" />
                        {% endfor %}
                    </div>
                    <div class="padded cell-small rw-10 small citizen-box">
                        {% if citizen.lastWords is null %}
                            <span>--</span>
                        {% elseif citizen.lastWords is empty %}
                            <span>{{ 'Dieser Bürger hat keine letzten Worte hinterlassen ...'|trans({}, 'game') }}</span>
                        {% else %}
                            <b>{{"Letzte Worte:"|trans({}, 'game')}}</b> {{ citizen.lastWords }}
                        {% endif %}
                    </div>
                {% endif %}
                <div class="tooltip">
                    {% if citizen.alive %}
                        {% if not hidden[citizen.id] %}
                            {% if citizen.home.chest.items|length == 0 %}
                                <em>{{ 'Leere Truhe'|trans({},'game') }}</em>
                            {% else %}
                                <em>{{ 'Truhe'|trans({},'game') }}</em><br />
                            {% endif %}
                            {% for item in citizen.home.chest.items %}
                                {# @var \App\Entity\Item item #}
                                <img alt="{{ item.prototype.label|trans({},'items') }}" src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ '.gif') }}" />
                            {% endfor %}
                        {% else %}
                            <em>{{ 'Ein Vorhang blockiert die Sicht ...'|trans({},'game') }}</em>
                        {% endif %}
                    {% else %}
                        <h1>{{'Todesursache'|trans({}, 'game')}}</h1><br />{{ citizen.causeOfDeath.label|trans({}, "game") }}
                    {% endif %}
                </div>
            </div>
        {% endfor %}
    </div>

    <div class="row">
        
    </div>

    <div class="row prof-list">
        {% for elem in prof_count %}
            <div class="padded cell small center rw-4">
                <img alt="{{ elem[1].label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ elem[1].icon ~ '.gif') }}" />
                {{ elem[1].label|trans({},'game') }} x {{ elem[0] }}
            </div>
        {% endfor %}
        {% if death_count > 0 %}
            <div class="padded cell small center rw-4">
                <img alt="{{ 'Tot'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />
                {{ 'Tot'|trans({},'game') }} x {{ death_count }}
            </div>
        {% endif %}
    </div>
    <div class="row prof-list">
        <div class="padded cell small center ro-4 rw-4 rw-md-4">
            <img alt="" src="{{ asset('build/images/icons/small_human.gif') }}" /> {{ "@citizens Bürger"|trans({ '@citizens': citizens|length }, 'game') }} {% if death_count > 0 %}({{ death_count }} {{ 'Tot'|trans({},'game') }}){% endif %}
        </div>
    </div>

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
    </script>
{% endblock %}
